/*
jGuard is a security framework based on top of jaas (java authentication and authorization security).
it is written for web applications, to resolve simply, access control problems.
version $Name$
http://sourceforge.net/projects/jguard/

Copyright (C) 2004  Charles GAY

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


jGuard project home page:
http://sourceforge.net/projects/jguard/

*/
package net.sf.jguard.core.audit;

import java.io.Serializable;
import java.util.logging.Level;

/**
* add a specific SECURITY level to regroup all audit informations from jGuard.
* @author <a href="mailto:diabolo512@users.sourceforge.net">Charles Gay</a>
*/
public class SecurityLevel extends Level implements Serializable{

    
    private static final long serialVersionUID = 1L;
    public static final Level JGUARD_SECURITY = new SecurityLevel("JGUARD_SECURITY",1111);
    public SecurityLevel(String name,int value){
        super(name,value);
    }
    
     public SecurityLevel(String name,int value,String resourceBundleName){
         super(name,value,resourceBundleName);
     }
     
     //TODO "to ensure that they maintain the Object uniqueness property across serialization by defining a suitable readResolve method"
}
